{
  description = "Environnement de développement pour des modules noyaux Linux";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = {
    nixpkgs,
    flake-utils,
    ...
  }: flake-utils.lib.eachSystem flake-utils.lib.allSystems (system:
    let
      pkgs = import nixpkgs { inherit system; };

      linux_dev = pkgs.linuxKernel.kernels.linux_zen.dev;
    in {
      devShells = {
        default = pkgs.mkShell {
          packages = [ linux_dev ];

          LINUX_MODULES_FOLDER = "${linux_dev}/lib/modules/${linux_dev.modDirVersion}";

          shellHook = ''
            echo "Current Linux Kernel used : ${linux_dev.version}"
          '';
        };
      };
    }
  );
}
